/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis Canvas Bonobo Control
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *
 * Copyright (C) 2002 lvaro Pea Gonzlez
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "agn-canvas-control.h"

static BonoboObject*
agn_canvas_control_factory (BonoboGenericFactory *factory,
			    const char *object_id,
			    void *closure);

static BonoboObject*
agn_canvas_control_factory (BonoboGenericFactory *factory,
			    const char *object_id,
			    void *data)
{
	BonoboControl *control = NULL;

	g_assert (factory != NULL);

	if (strcmp (object_id, "OAFIID:Bonobo_Agnubis_Canvas"))
		g_error ("object_id != OAFIID:Bonobo_Agnubis_Canvas");

	control = agn_canvas_control_new();

	return BONOBO_OBJECT (control);
}

BonoboControl *
agn_canvas_control_new (void)
{
	BonoboControl *control;
	GtkWidget     *widget;

	widget = dia_canvas_view_new (NULL, TRUE);
	gtk_widget_show (widget);

	control = bonobo_control_new (widget);

	return BONOBO_CONTROL (control);
}

BONOBO_ACTIVATION_FACTORY ("OAFIID:GNOME_Agnubis_Canvas_Factory",
			   "Agnubis Canvas", VERSION,
			   agn_canvas_control_factory, NULL);
