/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis Canvas
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *
 * Copyright (C) 2002 GNOME Foundation
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "agn-canvas.h"

static GObjectClass *parent_class = NULL;

static void agnubis_canvas_init       (AgnubisCanvas *canvas, AgnubisCanvasClass *class);
static void agnubis_canvas_class_init (AgnubisCanvasClass *class);
static void agnubis_canvas_finalize   (GObject *object);
AgnubisCanvas*  agnubis_canvas_new        (void);

static void
agnubis_canvas_init (AgnubisCanvas *canvas, AgnubisCanvasClass *class)
{
	
}

static gint
agnubis_canvas_key_press_event(GtkWidget *d, GdkEventKey *e)
{
	return 0;
}

GType
agnubis_canvas_get_type (void)
{
	static GType canvas_type = 0;

	if (!canvas_type) {
		static const GTypeInfo canvas_info = {
			sizeof (AgnubisCanvasClass),
			(GBaseInitFunc) NULL,
			(GBaseFinalizeFunc) NULL,
			(GClassInitFunc) agnubis_canvas_class_init,
			(GClassFinalizeFunc) NULL,
			(gconstpointer) NULL,
			sizeof (AgnubisCanvas),
			(guint16) 0,
			(GInstanceInitFunc) agnubis_canvas_init
		};

		canvas_type = g_type_register_static (DIA_TYPE_CANVAS,
						      "AgnubisCanvas",
						      &canvas_info, 0);
	}

	return canvas_type;
}

static void
agnubis_canvas_class_init (AgnubisCanvasClass *class)
{
	GObjectClass* gobject_class;
	DiaCanvasClass *item_class;
	GtkWidgetClass *gtkwidget_class;

	gobject_class = (GObjectClass *) class;
	item_class = (DiaCanvasClass *) class;
	gtkwidget_class = (GtkWidgetClass *) class;

	parent_class = g_type_class_peek_parent (class);

	gobject_class->finalize = agnubis_canvas_finalize;
	gtkwidget_class->key_press_event = agnubis_canvas_key_press_event;
}

static void
agnubis_canvas_finalize (GObject *object)
{

	if (G_OBJECT_CLASS (parent_class)->finalize)
	{
		(* G_OBJECT_CLASS (parent_class)->finalize) (object);
	}
}

AgnubisCanvas *
agnubis_canvas_new (void)
{
	AgnubisCanvas *canvas = g_object_new (AGNUBIS_TYPE_CANVAS, NULL);
	g_assert (canvas != NULL);

	return canvas;
}
