/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *
 * Copyright (C) 2002 lvaro Pea Gonzlez
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#include <glib.h>
#include <libbonobo.h>

#include "GNOME_Agnubis_Canvas.h"


int
main (int argc, char **argv)
{
	CORBA_Environment        ev;
	GNOME_Agnubis_Canvas     agnc;
	
	/*
	 * Bonobo init
	 */
	if (!bonobo_init (&argc, argv))
		g_error ("I could not initialize Bonobo");

	bonobo_activate();
	
	CORBA_exception_init (&ev);
	
	/*
	 * Get component
	 */
	agnc = bonobo_get_object ("OAFIID:GNOME_Agnubis_Canvas",
				 "IDL:GNOME/Agnubis/Canvas:1.0", &ev);
	if (agnc == CORBA_OBJECT_NIL) {
		gchar *err = bonobo_exception_get_text (&ev);
		g_warning ("Can't get Agnubis Canvas: \"%s\"", err);
		g_free (err);
		return bonobo_debug_shutdown();
	}	

	g_print ("Created Agnubis Canvas Control.");

	CORBA_exception_free (&ev);

	bonobo_object_release_unref (agnc, NULL);
	   
	return 0;
}
