/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis Parser
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *      Jorge Prez Burgos <koke@eresmas.net>
 *
 * Copyright (C) 2002 lvaro Pea Gonzlez, Jorge Prez Burgos
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#if !defined(__agnubis_parser_h__)
#define      __agnubis_parser_h__

#ifdef __cplusplus
extern "C" {
#endif

#include <gnome.h>
#include <libxml/tree.h>
#include <libxml/parser.h>
#include <libxml/parserInternals.h>
#include <string.h>
#include <stdlib.h>

G_BEGIN_DECLS

#define AGNUBIS_TYPE_PARSER             (agnubis_parser_get_type())
#define AGNUBIS_PARSER(obj)             (G_TYPE_CHECK_INSTANCE_CAST (obj, AGNUBIS_TYPE_PARSER , AgnubisParser)
#define AGNUBIS_PARSER_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST (klass, AGNUBIS_TYPE_PARSER, AgnubisParserClass))
#define AGNUBIS_IS_PARSER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE (obj,AGNUBIS_TYPE_PARSER))
#define AGNUBIS_IS_PARSER_CLASS (klass) (G_TYPE_CHECK_CLASS_TYPE (klass, AGNUBIS_TYPE_PARSER))
#define AGNUBIS_PARSER_GET_CLASS (obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), AGNUBIS_TYPE_PARSER, AgnubisParserClass))

typedef struct _AgnubisParser      AgnubisParser;
typedef struct _AgnubisParserClass AgnubisParserClass;

struct _AgnubisParser
{
	GObject parent;

	gchar*	file;
};

struct _AgnubisParserClass
{
	GObjectClass parent_class;
};

GType agnubis_parser_get_type (void);

AgnubisParser*	agnubis_parser_xml_new      (gchar *file_name);

G_END_DECLS

#ifdef _cplusplus
}
#endif

#endif /* __agnubis_parser_h__ */
