#include <glib.h>
#include <glib-object.h>
#ifndef __AGNUBIS_PRESENTATION_CONTROL_H__
#define __AGNUBIS_PRESENTATION_CONTROL_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <glib.h>
#include <gtk/gtk.h>
#include "gui-utils/misc.h"
#include "main.h"
#include "interface.h"
#include "agnubis-presentation.h"

#ifndef __TYPEDEF__AGNUBIS_PRESENTATION_CONTROL__
#define __TYPEDEF__AGNUBIS_PRESENTATION_CONTROL__
typedef struct _AgnubisPresentationControl AgnubisPresentationControl;
#endif

struct _AgnubisPresentationControl {
	AgnubisPresentation   * presentation;
	GtkListStore	      * store;
	gboolean		modified;
	GSList		      * windows;
};

AgnubisPresentationControl *
agnubis_presentation_control_new
	(gchar *filename);

void
agnubis_presentation_control_refresh_slide_store
	(AgnubisPresentationControl * self);


void
agnubis_presentation_control_update_store_selection
	(AgnubisPresentationControl * self);

void
agnubis_presentation_control_close_window
	(AgnubisPresentationControl * self,
	 GtkWidget * window);


GtkWidget *
agnubis_presentation_control_create_window
	(AgnubisPresentationControl * self);

void
agnubis_presentation_control_destroy	(AgnubisPresentationControl * self);

void
agnubis_presentation_control_load	(AgnubisPresentationControl * self,
					gchar * filename);

gboolean
agnubis_presentation_control_save	(AgnubisPresentationControl * self,
					gchar * filename);


GtkListStore *
agnubis_presentation_control_get_slide_list_store	(AgnubisPresentationControl * self);

AgnubisPresentation *
agnubis_presentation_control_get_presentation	(AgnubisPresentationControl * self);

GtkListStore *
agnubis_presentation_control_get_store	(AgnubisPresentationControl * self);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
