/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Agnubis App header
 *
 * Authors:
 *      lvaro Pea Gonzlez <alvaropg@mac.com>
 *      Sven Herzberg        <herzi@abi02.de>
 *	Luis Manuel Benitez <luisma@gnome.org>
 *
 * Copyright (C) 2002 GNOME Foundation
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef __INTERFACE_H__
#define __INTERFACE_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <gnome.h>
#include <gtk/gtkwidget.h>
#include <diacanvas/dia-canvas-view.h>
#include <diacanvas/dia-canvas-i18n.h>
#include <agn-canvas.h>

#ifndef __TYPEDEF__AGNUBIS_PRESENTATION_CONTROL__
#define __TYPEDEF__AGNUBIS_PRESENTATION_CONTROL__
	typedef struct _AgnubisPresentationControl AgnubisPresentationControl;
#endif
	
	GSList *agnubis_app_list;
	GtkWidget* agnubis_gui_new(AgnubisPresentationControl *control);
	void agnubis_about(void);
	void agnubis_app_close (GtkWidget* app);

#ifdef _cplusplus
}
#endif

#endif /* __INTERFACE_H__ */
